# Organization


<style>
  span[class^="pill-"] {
    color: white;
    padding: 2px 12px;
    border-radius: 12px;
    font-size: 0.6em;
    vertical-align: middle;
    margin-right: 12px;
    font-family: sans-serif;
    font-weight: bold;
    display: inline-block;
    line-height: 1;
  }
  span.pill-GET { background-color: #61affe; }
  span.pill-POST { background-color: #49cc90; }
  span.pill-PUT { background-color: #fca130; }
  span.pill-DELETE { background-color: #f93e3e; }
  span.pill-PATCH { background-color: #50e3c2; }
  span[class^="pill-"]:after {
    content: attr(data-label);
    font-size: 0.9rem;
  }
</style>


---

## Other Operations

## <span data-label="GET" class="pill-GET"></span>get-env-impact

[BETA] Retrieve organization environmental impact reports

```
GET /env-impact/{period}
```

[BETA] Returns environmental impact reports for an organization

### Path parameters

| Name | In | Description |
| --- | --- | --- |
| `period` | `path` |  |

### Responses

Status: `200` - 200

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `metadata` | array of [Env Metadata Entry](/reference/api/_schemas/env-metadata-entry/) | Metadata |
| `products` | array of [Env Product](/reference/api/_schemas/env-product/) | Products |

<details>
<summary>Example output</summary>

```json
{
  "metadata": [
    {
      "amount": 0,
      "unit": "string",
      "value": "string"
    }
  ],
  "products": [
    {
      "impacts": [
        {
          "amount": 0,
          "details": [
            null
          ],
          "unit": "string",
          "value": "string"
        }
      ],
      "metadata": [
        {
          "amount": 0,
          "unit": "string",
          "value": "string"
        }
      ],
      "value": "string"
    }
  ]
}
```
</details>


SDK reference for `get-env-impact`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.GetEnvImpact) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.get_env_impact) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#getEnvImpact(java.lang.String))

[CLI](https://community.exoscale.com/tools/command-line-interface/): `exo api get-env-impact`

## <span data-label="GET" class="pill-GET"></span>get-live-balance

[BETA] Retrieve the live-balance

```
GET /live-balance
```

[BETA] Returns the live-balance of the current organization.

### Responses

**`200`**: 200

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `balance` | number | Organization live balance |
| `currency` | string | Organization currency |

<details>
<summary>Example output</summary>

```json
{
  "balance": 0,
  "currency": "string"
}
```
</details>

**`429`**: 429

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `error` | string | The error message |
| `retry_after` | number | The time in seconds to wait before the next request |

<details>
<summary>Example output</summary>

```json
{
  "error": "string",
  "retry_after": 0
}
```
</details>


SDK reference for `get-live-balance`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.GetLiveBalance) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.get_live_balance) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#getLiveBalance())

[CLI](https://community.exoscale.com/tools/command-line-interface/): `exo api get-live-balance`

## <span data-label="GET" class="pill-GET"></span>get-organization

Retrieve an organization

```
GET /organization
```

### Responses

Status: `200` - 200

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `address` | string | Organization address |
| `balance` | number | Organization balance. DEPRECATED: use the dedicated `live-balance` endpoint |
| `city` | string | Organization city |
| `country` | string | Organization country |
| `currency` | string | Organization currency |
| `id` | string | Organization ID<br/><br/>Must be a valid UUID. |
| `name` | string | Organization name |
| `postcode` | string | Organization postcode |

<details>
<summary>Example output</summary>

```json
{
  "address": "string",
  "balance": 0,
  "city": "string",
  "country": "string",
  "currency": "string",
  "id": "string",
  "name": "string",
  "postcode": "string"
}
```
</details>


SDK reference for `get-organization`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.GetOrganization) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.get_organization) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#getOrganization())

[CLI](https://community.exoscale.com/tools/command-line-interface/): `exo api get-organization`

## <span data-label="GET" class="pill-GET"></span>get-usage-report

Retrieve organization usage reports

```
GET /usage-report
```

Returns aggregated usage reports for an organization

### Query parameters

| Name | In | Required | Description |
| --- | --- | --- | --- |
| `period` | `query` | no |  |

### Responses

Status: `200` - 200

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `usage` | array of [Usage](#usage) |  |

<details>
<summary>Example output</summary>

```json
{
  "usage": [
    {
      "description": "string",
      "from": "string",
      "product": "string",
      "quantity": "string",
      "to": "string",
      "unit": "string",
      "variable": "string"
    }
  ]
}
```
</details>


### Usage {#usage}

Usage

| Property | Type | Required | Description |
| --- | --- | --- | --- |
| `description` | string | no | Description |
| `from` | string | no | Period Start Date |
| `product` | string | no | Product |
| `quantity` | string | no | Quantity |
| `to` | string | no | Period End Date |
| `unit` | string | no | Unit |
| `variable` | string | no | Variable |

SDK reference for `get-usage-report`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.GetUsageReport) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.get_usage_report) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#getUsageReport(java.lang.String))

[CLI](https://community.exoscale.com/tools/command-line-interface/): `exo api get-usage-report`


